---
title: <length-percentage>
slug: Web/CSS/length-percentage
tags:
  - CSS
  - CSS Data Type
  - Data Type
  - Reference
  - length-percentage
  - units
  - values
---
<div>{{CSSRef}}</div>

<p>The <strong><code>&lt;length-percentage&gt;</code></strong> <a href="/en-US/docs/Web/CSS">CSS</a> <a href="/en-US/docs/Web/CSS/CSS_Types">data type</a> represents a value that can be either a {{Cssxref("length")}} or a {{Cssxref("percentage")}}.</p>

<h2 id="Syntax">Syntax</h2>

<p>Refer to the documentation for {{Cssxref("length")}} and {{Cssxref("percentage")}} for details of the individual syntaxes allowed by this type.</p>

<h2 id="Examples">Examples</h2>

<h3 id="length-percentage_examples">length-percentage examples</h3>

<p>The following simple example demonstrates several properties that use <code>&lt;length-percentage&gt;</code> values.</p>

<h4 id="HTML">HTML</h4>

<pre class="brush: html notranslate">&lt;p&gt;You can use percentages and lengths in so many places.&lt;/p&gt;</pre>

<h4 id="CSS">CSS</h4>

<pre class="brush: css notranslate">p {
  /* length-percentage examples */
  width: 75%;
  height: 200px;
  margin: 3rem;
  padding: 1%;
  border-radius: 10px 10%;
  font-size: 250%;
  line-height: 1.5em;

  /* length examples */
  text-shadow: 1px 1px 1px red;
  border: 5px solid red;
  letter-spacing: 3px;

  /* percentage example */
  text-size-adjust: 20%;
}</pre>

<h4 id="Result">Result</h4>

<p>{{EmbedLiveSample('length-percentage_examples', '100%', 320)}}</p>

<h3 id="Use_in_calc">Use in calc()</h3>

<p>Where a <code>&lt;length-percentage&gt;</code> is specified as an allowable type, this means that the percentage resolves to a length and therefore can be used in a {{cssxref("calc", "calc()")}} expression. Therefore, all of the following values are acceptable for {{cssxref("width")}}:</p>

<pre class="syntaxbox example-good notranslate">width: 200px;
width: 20%;
width: calc(100% - 200px);
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('CSS4 Values', '#mixed-percentages', '&lt;length-percentage&gt;')}}</td>
   <td>{{Spec2('CSS4 Values')}}</td>
   <td></td>
  </tr>
  <tr>
   <td>{{SpecName('CSS3 Values', '#mixed-percentages', '&lt;length-percentage&gt;')}}</td>
   <td>{{Spec2('CSS3 Values')}}</td>
   <td>Defines <code>&lt;length-percentage&gt;</code>. Adds <code>calc()</code></td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("css.types.length-percentage")}}</p>

<h2 id="See_also">See also</h2>

<h2 id="See_also_2">See also</h2>

<ul>
 <li>{{cssxref("&lt;percentage&gt;")}}</li>
 <li>{{cssxref("&lt;length&gt;")}}</li>
 <li><a href="/en-US/docs/Web/CSS/CSS_Values_and_Units">CSS Values and Units</a></li>
</ul>
